Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.pages
Class ELConversationIdParameter

    java.lang.Object
      org.jboss.seam.pages.ELConversationIdParameter

All Implemented Interfaces:
  ConversationIdParameter

    public class ELConversationIdParameter

extends Object
implements ConversationIdParameter

Represents a conversation parameter that can be used to create a "natural" conversation ID, by defining a <conversation/> entry in pages.xml.

Author:
  Shane Bryzak

Constructor Summary
`ELConversationIdParameter(String name, String paramName, String expression)`

Method Summary
`String` | `getConversationId()`
`String` | `getInitialConversationId(Map parameters)`
`String` | `getName()`
`String` | `getParameterName()`
`String` | `getParameterValue()`
`String` | `getRequestConversationId(Map parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELConversationIdParameter

    public ELConversationIdParameter(String name,
                                     String paramName,
                                     String expression)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `ConversationIdParameter`

### getParameterName

    public String getParameterName()

  Specified by:
    `getParameterName` in interface `ConversationIdParameter`

### getInitialConversationId

    public String getInitialConversationId(Map parameters)

  Specified by:
    `getInitialConversationId` in interface `ConversationIdParameter`

### getRequestConversationId

    public String getRequestConversationId(Map parameters)

  Specified by:
    `getRequestConversationId` in interface `ConversationIdParameter`

### getConversationId

    public String getConversationId()

  Specified by:
    `getConversationId` in interface `ConversationIdParameter`

### getParameterValue

    public String getParameterValue()

  Specified by:
    `getParameterValue` in interface `ConversationIdParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD